Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
FileWriter Class Reference

Write in a text file. More...

`#include <filewriter.h>`

## Public Member Functions
| FileWriter (CreateFileAbstraction *cfa_1)
| The constructor of the FileWriter class. More...
virtual void | writeFilePoint (int pointx, int pointy)
| Writes the Top-Left coordinates. More...
virtual void | writeFileRectangleId (int id)
| Writes the ID. More...
virtual void | writeFileRectangleGeo (int width, int height)
| Writes the rectangle height and width. More...
virtual void | writeComment (QString comment)
| Writes the user's comment. More...
virtual void | writeWordNumber (QString word)
| Writes the word number. More...
virtual void | writeLineNumber (QString line)
| Writes the line number. More...
virtual void | writeImageName (QString line)
| Writes image filepath. More...
virtual void | changeLine ()
| Goes to the next line. More...
virtual CreateFileAbstraction * | getCreateFileAbstraction () const
| Returns the file we are writing in. More...

## Detailed Description

Write in a text file.

The FileWriter provides the tools which allow to write content in a text file.

Author
  David Carmona-Moreno

Version
  1.0

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

FileWriter::FileWriter | ( | CreateFileAbstraction * | cfa_1 | ) |
| inline

The constructor of the FileWriter class.

Parameters

  cfa_1 | The text file in which we want to write all the rectangle informations

## Member Function Documentation

void FileWriter::changeLine | ( |  | ) |
| virtual

Goes to the next line.

Note
  is the change line operation in Windows. The developer has to change it according to his Operating System.

Returns
  void

CreateFileAbstraction * FileWriter::getCreateFileAbstraction | ( |  | ) | const
| virtual

Returns the file we are writing in.

Returns
  The file we are writing in

void FileWriter::writeComment | ( | QString | comment | ) |
| virtual

Writes the user's comment.

Parameters

  comment | The user's comment

Returns
  void

void FileWriter::writeFilePoint | ( | int | pointx,
|  | int | pointy
| ) |  |
| virtual

Writes the Top-Left coordinates.

Parameters

  x | The x Top-Left coordinate
  y | The y Top-Left coordinate

Returns
  void

void FileWriter::writeFileRectangleGeo | ( | int | width,
|  | int | height
| ) |  |
| virtual

Writes the rectangle height and width.

Parameters

  width | The rectangle width
  height | The rectangle height

Returns
  void

void FileWriter::writeFileRectangleId | ( | int | id | ) |
| virtual

Writes the ID.

Parameters

  id | The rectangle id

Returns
  void

void FileWriter::writeImageName | ( | QString | line | ) |
| virtual

Writes image filepath.

Parameters

  line | The image filepath

Returns
  void

void FileWriter::writeLineNumber | ( | QString | line | ) |
| virtual

Writes the line number.

Parameters

  line | The line number

Returns
  void

void FileWriter::writeWordNumber | ( | QString | word | ) |
| virtual

Writes the word number.

Parameters

  word | The word number

Returns
  void

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/filewriter.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/filewriter.cpp